Response containing the label schema of an annotation queue.
Expand All
フィールド
タイプ
説明
data [required]
object
Data object for an annotation queue label schema.
attributes [required]
object
Attributes of an annotation queue label schema.
annotation_schema [required]
object
Schema defining the labels for an annotation queue.
label_schemas [required]
[object]
List of label schema definitions.
description
string
Description of the label.
has_assessment
boolean
Whether this label includes an assessment field.
has_reasoning
boolean
Whether this label includes a reasoning field.
id
string
Unique identifier of the label schema. Assigned by the server if not provided.
is_assessment
boolean
Whether the boolean label represents an assessment. Requires has_assessment to be true.
is_integer
boolean
Whether score values must be integers. Applicable to score-type labels.
is_required
boolean
Whether this label is required for an annotation.
max
double
Maximum value for score-type labels.
min
double
Minimum value for score-type labels.
name [required]
string
Name of the label. Must match the pattern ^[a-zA-Z0-9_-]+$ and be unique within the queue.
type [required]
enum
Type of a label in an annotation queue label schema.
Allowed enum values: score,categorical,boolean,text
values
[string]
Allowed values for categorical-type labels. Must contain at least one non-empty, unique value.
id [required]
string
Unique identifier of the annotation queue.
type [required]
enum
Resource type of an Agent Observability annotation queue.
Allowed enum values: queues
{"data":{"attributes":{"annotation_schema":{"label_schemas":[{"description":"Rating of the response quality.","has_assessment":false,"has_reasoning":false,"id":"abc-123","is_assessment":false,"is_integer":false,"is_required":true,"max":5,"min":0,"name":"quality","type":"score","values":["good","bad","neutral"]}]}},"id":"00000000-0000-0000-0000-000000000001","type":"queues"}}
# Path parameters exportqueue_id="00000000-0000-0000-0000-000000000001" # Use a Personal Access Token or Service Access Token exportDD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"python3"example.py"
# Get annotation queue label schema returns "OK" responserequire"datadog_api_client"DatadogAPIClient.configuredo|config|config.access_token=ENV["DD_BEARER_TOKEN"]config.unstable_operations["v2.get_llm_obs_annotation_queue_label_schema".to_sym]=trueendapi_instance=DatadogAPIClient::V2::AgentObservabilityAPI.newpapi_instance.get_llm_obs_annotation_queue_label_schema("queue_id")
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"rb"example.rb"
// Get annotation queue label schema returns "OK" responsepackagemainimport("context""encoding/json""fmt""os""github.com/DataDog/datadog-api-client-go/v2/api/datadog""github.com/DataDog/datadog-api-client-go/v2/api/datadogV2")funcmain(){ctx:=datadog.NewDefaultContext(context.Background())ctx=context.WithValue(ctx,datadog.ContextAccessToken,os.Getenv("DD_BEARER_TOKEN"))configuration:=datadog.NewConfiguration()configuration.SetUnstableOperationEnabled("v2.GetLLMObsAnnotationQueueLabelSchema",true)apiClient:=datadog.NewAPIClient(configuration)api:=datadogV2.NewAgentObservabilityApi(apiClient)resp,r,err:=api.GetLLMObsAnnotationQueueLabelSchema(ctx,"queue_id")iferr!=nil{fmt.Fprintf(os.Stderr,"Error when calling `AgentObservabilityApi.GetLLMObsAnnotationQueueLabelSchema`: %v\n",err)fmt.Fprintf(os.Stderr,"Full HTTP response: %v\n",r)}responseContent,_:=json.MarshalIndent(resp,""," ")fmt.Fprintf(os.Stdout,"Response from `AgentObservabilityApi.GetLLMObsAnnotationQueueLabelSchema`:\n%s\n",responseContent)}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"go run"main.go"
// Get annotation queue label schema returns "OK" responseimportcom.datadog.api.client.ApiClient;importcom.datadog.api.client.ApiException;importcom.datadog.api.client.v2.api.AgentObservabilityApi;importcom.datadog.api.client.v2.model.LLMObsAnnotationQueueLabelSchemaResponse;publicclassExample{publicstaticvoidmain(String[]args){ApiClientdefaultClient=ApiClient.getDefaultApiClient();defaultClient.setAccessToken(System.getenv("DD_BEARER_TOKEN"));defaultClient.setUnstableOperationEnabled("v2.getLLMObsAnnotationQueueLabelSchema",true);AgentObservabilityApiapiInstance=newAgentObservabilityApi(defaultClient);try{LLMObsAnnotationQueueLabelSchemaResponseresult=apiInstance.getLLMObsAnnotationQueueLabelSchema("00000000-0000-0000-0000-000000000001");System.out.println(result);}catch(ApiExceptione){System.err.println("Exception when calling AgentObservabilityApi#getLLMObsAnnotationQueueLabelSchema");System.err.println("Status code: "+e.getCode());System.err.println("Reason: "+e.getResponseBody());System.err.println("Response headers: "+e.getResponseHeaders());e.printStackTrace();}}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"java"Example.java"
// Get annotation queue label schema returns "OK" response
usedatadog_api_client::datadog;usedatadog_api_client::datadogV2::api_agent_observability::AgentObservabilityAPI;#[tokio::main]asyncfnmain(){letmutconfiguration=datadog::Configuration::new();configuration.set_unstable_operation_enabled("v2.GetLLMObsAnnotationQueueLabelSchema",true);letapi=AgentObservabilityAPI::with_config(configuration);letresp=api.get_llm_obs_annotation_queue_label_schema("queue_id".to_string()).await;ifletOk(value)=resp{println!("{:#?}",value);}else{println!("{:#?}",resp.unwrap_err());}}
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_API_KEY="<DD_API_KEY>"DD_APP_KEY="<DD_APP_KEY>"cargo run
/**
* Get annotation queue label schema returns "OK" response
*/import{client,v2}from"@datadog/datadog-api-client";constconfiguration=client.createConfiguration({authMethods:{AuthZ:{accessToken: process.env.DD_BEARER_TOKENasstring,},},});configuration.unstableOperations["v2.getLLMObsAnnotationQueueLabelSchema"]=true;constapiInstance=newv2.AgentObservabilityApi(configuration);constparams: v2.AgentObservabilityApiGetLLMObsAnnotationQueueLabelSchemaRequest={queueId:"queue_id",};apiInstance.getLLMObsAnnotationQueueLabelSchema(params).then((data: v2.LLMObsAnnotationQueueLabelSchemaResponse)=>{console.log("API called successfully. Returned data: "+JSON.stringify(data));}).catch((error: any)=>console.error(error));
DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com"DD_BEARER_TOKEN="<PERSONAL_ACCESS_TOKEN OR SERVICE_ACCESS_TOKEN>"tsc"example.ts"
パーソナライズされたデモをリクエスト
Datadog を始める
Ask AI
AI-generated responses may be inaccurate. Verify important info.